---
updatedAt: 2026-05-13T09:04:45.000Z
---

# Validate JSON request of inbound messages

Validate the JSON request of inbound messages

> 🚧 Deprecated
>
> Listening API v2 has been deprecated and should not be used for new custom integrations. For custom integrations, please contact your Khoros representative.

## Details

Validates the JSON request of inbound message(s). This is a convenience method to validate the JSON payload prior to using `POST /listening/_integrationUuid_/messages`.

See [Listening API object definitions](https://developer.khoros.com/khoroscaredevdocs/reference/listening-api-object-definitions) to build your JSON payload.

```json Example JSON
[
  {
    "network":"custom",
    "networkinstance":"myspace.com",
    "id":"z135g3jz2tm0xf5uq23gerbpiybcbb4",
    "author":{
      "id":"18005882300",
      "name":"Jim Bob",
      "screenName":"JimBob",
      "avatarUrl":"https://lh3.googleusercontent.com/-ZadaXoUTBfs/AAAAAAAAAAI/AAAAAAAAAAA/3rh5IMTHOzg/photo.jpg",
      "location":"Austin, TX",
      "profileUrl":"https://myspace.com/kanyewest/music/songs"
    },
    "receiveDate":1425937206000,
    "publishDate":1425937206000,
    "postContent":"Kanye West is cool",
    "url":"https://www.youtube.com/watch?v=OEyS_cQoG5c",
    "isPrivate":false,
    "text":"Kanye West is cool",
    "title":"title",
    "media":[
      {
        "type":"VIDEO",
        "url":"https://www.youtube.com/watch?v=PubPBOHpid8"
      }
    ]
  }
]
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "listening-api-v2",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://{instance}.response.lithium.com/api/v2/listening",
      "variables": {
        "instance": {
          "default": "instance"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/{integrationUuid}/messages/validation": {
      "post": {
        "summary": "Validate JSON request of inbound messages",
        "description": "Validate the JSON request of inbound messages",
        "operationId": "integrationuuidmessagesvalidation",
        "parameters": [
          {
            "name": "integrationUuid",
            "in": "path",
            "description": "The unique identifier of the social integration",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The Raw JSON payload. Refer to [Listening API object definitions](https://developer.khoros.com/khoroscaredevdocs/reference/listening-api-object-definitions) to build your JSON.",
                    "format": "json"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"status\":\"success\",\n  \"data\":[\n      \"z135g3jz2tm0x5uq23gerbpiybcbb4\"\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "z135g3jz2tm0x5uq23gerbpiybcbb4"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "http",
              "code": "https://your_care_instance.lithium.com/api/v2/listening/fa600d27-dde1-4bdc-a3be-2f3edff236c7/messages/validation",
              "name": "/integrationUuid/messages/validation Example"
            }
          ],
          "samples-languages": [
            "http"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```